Subject: bug#21556: 25.0.50; Memory leak in emacs -Q with lucid (font)

From: Dima Kogan <[email-masked]>
Date: Thu, 01 Oct 2015 11:50:58 -0700

Dmitry Antipov <[email-masked]> writes:

> On 10/01/2015 12:42 PM, Dima Kogan wrote:
>
>> Clearly in this function we mark the font. We don't obviously mark the
>> containing entity, unless it's one of the face->lface[] elements. If
>> even in this case we're supposed to be marking the entity, where would
>> this be?
>
> Hm...I suppose that all really used font stuff should be marked through
> fontsets (read: char tables, see fontset.c) recorded in Vfontset_table.

OK, so are you suggesting changing how mark_face_cache() works? How bad
is it to accept that fonts and font entities are not necessarily linked,
and to install the latest patch in this bug?